// joinRequest.ts
import UserEntrepreneur from "./UserEntrepreneur";

class JoinRequest {
    private _idProject?: number;
    private _entrepreneur?: UserEntrepreneur;

    constructor(data: Partial<JoinRequest> = {}) {
        this._idProject = data.idProject;
        this._entrepreneur = data.entrepreneur
            ? new UserEntrepreneur(data.entrepreneur)
            : undefined;
    }

    get idProject(): number | undefined {
        return this._idProject;
    }

    set idProject(value: number | undefined) {
        this._idProject = value;
    }

    get entrepreneur(): UserEntrepreneur | undefined {
        return this._entrepreneur;
    }

    set entrepreneur(value: UserEntrepreneur | undefined) {
        this._entrepreneur = value;
    }

    toObject() {
        return {
            idProject: this.idProject,
            entrepreneur: this.entrepreneur,
        };
    }
}

export default JoinRequest;
